ru:manual:installation:upgrade_packages:debian_ubuntu

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
ru:manual:installation:upgrade_packages:debian_ubuntu [2017/05/25 13:04]
dotneft
— (current)
Line 1: Line 1:
-==== 2 Debian/​Ubuntu ==== 
  
-=== Обзор === 
- 
-Перед обновлением в первую очередь обязательно ознакомьтесь с [[:​ru/​manual/​installation/​upgrade#​обзор|общей информацией]]. 
- 
-=== Процедура обновления === 
- 
-== 1 Остановите процессы Zabbix == 
- 
-Остановите Zabbix сервер для уверенности,​ что никакие новые данные не будут записаны в базу данных. 
- 
-  # service zabbix-server stop 
-  ​ 
-При обновлении прокси,​ остановите также и прокси. 
- 
-  # service zabbix-proxy stop 
- 
-== 2 Резервная копия существующей базы данных Zabbix == 
- 
-Этот шаг чрезвычайно важен. Убедитесь,​ что у вас имеется архивная копия вашей базы данных. Она вам поможет в случае,​ если процедура обновления завершится с ошибкой (недостаточно места на диске, аварийное выключение питания,​ любая непредвиденная проблема). 
- 
-== 3 Резервное копирование файлов конфигурации,​ PHP файлов и бинарных файлов Zabbix == 
- 
-Выполните резервное копирование бинарных файлов Zabbix, файлов конфигурации и папки с PHP файлами. 
- 
-Файлы конфигурации:​ 
-  # cp /​etc/​zabbix/​zabbix_server.conf /​opt/​zabbix-backup 
-  # cp /​etc/​httpd/​conf.d/​zabbix.conf ​ /​opt/​zabbix-backup 
- 
-Файлы PHP и бинарные файлы Zabbix: 
-  # cp -R /​usr/​share/​zabbix/​ /​opt/​zabbix-backup 
-  # cp /​usr/​share/​doc/​zabbix-* /​opt/​zabbix-backup 
-  ​ 
-== 4 Обновите пакет конфигурации репозитория == 
- 
-Чтобы продолжить обновление,​ необходимо удалить пакет текущий репозитория. 
- 
-  # rm -Rf /​etc/​apt/​sources.list.d/​zabbix.repo 
- 
-Затем установить пакет нового репозитория. 
- 
-Для **Debian 7** выполните:​ 
-  # wget http://​repo.zabbix.com/​zabbix/​3.4/​debian/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+wheezy_all.deb 
-  # dpkg -i zabbix-release_3.4-1+wheezy_all.deb 
-  ​ 
-Для **Debian 8** выполните:​ 
-  # wget http://​repo.zabbix.com/​zabbix/​3.4/​debian/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+jessie_all.deb 
-  # dpkg -i zabbix-release_3.4-1+jessie_all.deb 
-  ​ 
-Для **Ubuntu 14.04** выполните:​ 
-  # wget http://​repo.zabbix.com/​zabbix/​3.4/​ubuntu/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+trusty_all.deb 
-  # dpkg -i zabbix-release_3.4-1+trusty_all.deb 
- 
-Для **Ubuntu 16.06** выполните:​ 
- 
-  # wget http://​repo.zabbix.com/​zabbix/​3.4/​ubuntu/​pool/​main/​z/​zabbix-release/​zabbix-release_3.4-1+xenial_all.deb 
-  # dpkg -i zabbix-release_3.4-1+xenial_all.deb 
- 
-Обновите информацию о репозитории. 
-  # apt-get update 
- 
-== 5 Обновите компоненты Zabbix == 
- 
-Для обновления компонентов Zabbix вы можете выполнить что-то вроде: 
-  # apt-get install --only-upgrade zabbix-server-mysql zabbix-web-mysql zabbix-agent 
- 
-Если используете PostgreSQL, в команде замените ''​mysql''​ на ''​pgsql''​. Если обновляете прокси,​ в команде замените ''​server''​ на ''​proxy''​. ​ 
- 
-== 6 Просмотрите параметры конфигурации компонент == 
- 
-В этой версии обязательные изменения в [[:​ru/​manual/​appendix/​config/​zabbix_agentd|параметрах]] компонент отсутствуют. Для ознакомления с новыми необязательными параметрами агента,​ смотрите раздел [[:​ru/​manual/​introduction/​whatsnew340#​параметры_конфигурации|Что нового]]. 
- 
-== 7 Запустите процессы Zabbix == 
- 
-Запустите обновленные компоненты Zabbix. 
-  # service zabbix-server start 
-  # service zabbix-proxy start 
-  # service zabbix-agent start